> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.heyreach.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.heyreach.io/_mcp/server.

# GetCampaignsForLead

POST https://api//api/public/campaign/GetCampaignsForLead
Content-Type: application/json

## Gets Campaigns for a Lead

Retrieves the list of campaigns where the specified lead is.

**Remark:** The response will contain campaigns that match the provided lead information, such as email, LinkedIn ID, or profile URL.

### Body Parameters

- **email** _(string, optional)_: The email address of the lead.
    
- **linkedinId** _(string, optional)_: The LinkedIn ID of the lead.
    
- **profileUrl** _(string, optional)_: The LinkedIn profile URL of the lead.
    
- for example: [https://www.linkedin.com/in/john_doe/](https://www.linkedin.com/in/john_doe/)
    
- **offset** _(integer)_: The number of records to skip (for pagination).
    
- **limit** _(integer)_: The maximum number of records to return.
    

## Response:

##### **LeadStatus**

- Pending
    
- InSequence
    
- Finished
    
- Paused
    
- Failed
    
- Excluded
    
- PendingOrExcludedToBeCalculated
    

##### **CampaignStatus**

- DRAFT
    
- IN_PROGRESS
    
- PAUSED
    
- FINISHED
    
- CANCELED
    
- FAILED
    
- STARTING

Reference: https://docs.heyreach.io/hey-reach-api/campaigns/get-campaigns-for-lead

## Request

### Headers

- `X-API-KEY` (string, optional)

### Body (application/json)

This endpoint expects an object.

- `email` (string, required)
- `linkedinId` (string, required)
- `profileUrl` (string, required)
- `offset` (integer, required)
- `limit` (integer, required)

## Response

### 200

OK

- `leadFullName` (string, required)
- `totalCount` (integer, required)
- `items` (list of object, required)
  - `campaignId` (integer, required)
  - `campaignName` (string, required)
  - `campaignStatus` (string, required)
  - `creationTime` (datetime, required)
  - `leadStatus` (string, required)

## Examples

**Request**

```json
{
  "email": "string",
  "linkedinId": "string",
  "profileUrl": "string",
  "offset": 0,
  "limit": 100
}
```

**Response**

```json
{
  "leadFullName": "John Doe",
  "totalCount": 2,
  "items": [
    {
      "campaignId": 1082,
      "campaignName": "Campaign For Veterans",
      "campaignStatus": "PAUSED",
      "creationTime": "2025-11-12T13:22:29Z",
      "leadStatus": "Finished"
    },
    {
      "campaignId": 1451,
      "campaignName": "Campaign 5",
      "campaignStatus": "CANCELED",
      "creationTime": "2025-10-12T13:22:29Z",
      "leadStatus": "Finished"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api//api/public/campaign/GetCampaignsForLead"

payload = {
    "email": "string",
    "linkedinId": "string",
    "profileUrl": "string",
    "offset": 0,
    "limit": 100
}
headers = {
    "X-API-KEY": "<string>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api//api/public/campaign/GetCampaignsForLead';
const options = {
  method: 'POST',
  headers: {'X-API-KEY': '<string>', 'Content-Type': 'application/json'},
  body: '{"email":"string","linkedinId":"string","profileUrl":"string","offset":0,"limit":100}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api//api/public/campaign/GetCampaignsForLead"

	payload := strings.NewReader("{\n  \"email\": \"string\",\n  \"linkedinId\": \"string\",\n  \"profileUrl\": \"string\",\n  \"offset\": 0,\n  \"limit\": 100\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("X-API-KEY", "<string>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api//api/public/campaign/GetCampaignsForLead")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-API-KEY"] = '<string>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"email\": \"string\",\n  \"linkedinId\": \"string\",\n  \"profileUrl\": \"string\",\n  \"offset\": 0,\n  \"limit\": 100\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api//api/public/campaign/GetCampaignsForLead")
  .header("X-API-KEY", "<string>")
  .header("Content-Type", "application/json")
  .body("{\n  \"email\": \"string\",\n  \"linkedinId\": \"string\",\n  \"profileUrl\": \"string\",\n  \"offset\": 0,\n  \"limit\": 100\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api//api/public/campaign/GetCampaignsForLead', [
  'body' => '{
  "email": "string",
  "linkedinId": "string",
  "profileUrl": "string",
  "offset": 0,
  "limit": 100
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-API-KEY' => '<string>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api//api/public/campaign/GetCampaignsForLead");
var request = new RestRequest(Method.POST);
request.AddHeader("X-API-KEY", "<string>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"email\": \"string\",\n  \"linkedinId\": \"string\",\n  \"profileUrl\": \"string\",\n  \"offset\": 0,\n  \"limit\": 100\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-API-KEY": "<string>",
  "Content-Type": "application/json"
]
let parameters = [
  "email": "string",
  "linkedinId": "string",
  "profileUrl": "string",
  "offset": 0,
  "limit": 100
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api//api/public/campaign/GetCampaignsForLead")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```